Retorna as informações completas de um endpoint de webhook pelo seu ID.
Autenticação
Requer um token de acesso válido (CHARGEFY_ACCESS_TOKEN) no header Authorization.
Parâmetros de Path
| Parâmetro | Tipo | Obrigatório | Descrição |
|---|
id | string | Sim | ID do endpoint |
Campos da Resposta
| Campo | Tipo | Descrição |
|---|
id | string | ID do endpoint |
url | string | URL do endpoint |
events | array | Lista de eventos |
secret | string | Secret para validação |
status | string | Status (active, disabled) |
organizationId | string | ID da organização |
createdAt | datetime | Data de criação |
Exemplo de Requisição
curl -X GET "https://api.chargefy.io/api/v1/webhook-endpoints/we_abc123" \
-H "Authorization: Bearer $CHARGEFY_ACCESS_TOKEN"
Exemplo de Resposta
{
"id": "we_abc123",
"url": "https://meusite.com.br/webhooks/chargefy",
"events": ["subscription.created", "subscription.canceled", "checkout.updated"],
"secret": "whsec_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"status": "active",
"organizationId": "org_abc",
"createdAt": "2026-03-12T10:00:00Z"
}